#ifndef __CPI_H
#define __CPI_H

typedef char           s08;
typedef unsigned char  u08;
typedef short          s16; 
typedef unsigned short u16;
typedef int            s32;
typedef unsigned int   u32;



struct ms_cpi_file_header {
  u08 file_tag;
  char font_string[ 8 ];
  u08 reserved[ 8 ];
  u16 num_pointers;
  u08 p_type;
  u32 offset;
};

struct font_info_header {
  u16 nb_codepages;
};

struct cp_entry_header {
  u16 cp_header_size;
  u32 next_header_offset;
  u16 device_type;
  char device_name[ 9 ];
  u16 cp_number;
  u08 reserved[ 6 ];
  u32 font_offset;
};

struct cp_info_header {
  u08 reserved[ 2 ];
  u16 num_fonts;
  u16 bitmap_size;
};

struct cp_fontdata {
  u08 charbox_rows;
  u08 charbox_cols;
  u16 aspect_ratio;
  u16 num_chars;
};

#endif /* __CPI_H */
